/*
 * Hamsam - Instant Messaging API
 * Copyright (C) 2003 Raghu K
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package gui.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import gui.tools.Traces;

import gui.ContactsMgrPanel;

/**
 *
 * @author  Frederic DIB
 */
public class DelBuddy
    implements ActionListener {
  private ContactsMgrPanel contacts = null;
  /** Creates a new instance of DelBuddy */
  public DelBuddy(ContactsMgrPanel c) {
    contacts = c;
  }

  /** Invoked when an action occurs.
   *
   */
  public void actionPerformed(ActionEvent evt) {
    Traces.printTraces("Deleting buddies");     
    contacts.delSelectedBuddies();
  }
}
