package hamsam.protocol.insecureSample;

import java.net.*;
import java.io.*;

// Copied from http://java.sun.com/docs/books/tutorial/networking/sockets/clientServer.html

public class InsecureServerThread extends Thread {
    private Socket socket = null;
    private boolean connectionOpen = true;


    public InsecureServerThread(Socket socket) {
	super("InsecureServerThread");
	this.socket = socket;
    }

    public void run() {
    	System.out.println("Started thread " + this.getName() );

	try {
	    ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());
	    ObjectInputStream in = new ObjectInputStream(socket.getInputStream());

	    InsecureNetworking serverHandle = new InsecureNetworking(in, out);
	    while (connectionOpen) {	// should the socket still be open?
	    	connectionOpen = serverHandle.receiveMessageFromClient();
	    }

	    // Need a while loop to handle any new messages?
	    // Can probably put that login in recieveMessageFromClient?

	    out.close();
	    in.close();
	    socket.close();
	    System.out.println("Closed thread " + this.getName() );

	} catch (IOException e) {
	    //e.printStackTrace();
	}
    }
}
